export declare class TouchGestureHelper {
    static addTouchEvents(element: HTMLElement): TouchGestureHelper;
    private constructor();
    private _target;
    private _started;
    private _startX_0;
    private _startY_0;
    private _lastZoom;
    private _lastPanDistanceX;
    private _lastPanDistanceY;
    private _startZoomDistance;
    multitouchEventActive: boolean;
    private _mode;
    _touchStart(e: TouchEvent): void;
    _touchMove(e: TouchEvent): void;
    _touchEnd(e: TouchEvent): void;
}
